Retrieve a response

GET /responses/{response_id}

Returns a stored (or still-in-progress) response by id. For a background response that is still generating, pass ?stream=true&starting_after=N to attach to the live event stream, resuming after event N.

GET
/responses/{response_id}

Authorization

AuthorizationBearer <token>

Your Munito API key.

In: header

Path Parameters

response_id*string

The response id, e.g. resp_9f41c2d7b3a8.

Query Parameters

stream?boolean

Attach to the live event stream of an in-progress response.

starting_after?integer

Resume the stream after this event sequence number.

Response Body

application/json

curl -X GET "https://example.com/responses/string"
{
  "id": "resp_9f41c2d7b3a8",
  "object": "response",
  "status": "completed",
  "model": "qwen/qwen3.8-27b",
  "output": [
    {
      "type": "message",
      "id": "msg_5b1e88a04c21",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "The EU AI Act is the first comprehensive AI law: …"
        }
      ]
    }
  ],
  "store": true
}